{% extends 'base.html.twig' %}

{% block title %}Post - Chat{% endblock %}

{% block body %}
<div class="container-fluid cover">
    <div class="container py-5">
        <h1 class="text-center text-white font-weight-bold">La Communauté</h1>
        <p class="text-center text-white">Discuter, partager, faites vous aider par la communauté VLPB !</p>
    </div>
</div>
<div class="container mt-4">
    <h3 class="text-shadow"><u>Liste des posts :</u></h3>
    <div class="row">
        <a href="{{ path('post_chat_ajout') }}" class="btn btn-color ml-auto"><i class="fa fa-plus" aria-hidden="true"></i> Ajouter un post</a>
    </div>
    {% for post in posts %}
    <div class="col-5 mx-auto py-3">
        <h3 class="title text-center">{{ post.categorie.nom }}</h3>
        <div class="post container">
            <p class="mt-3 mb-0"><u>{{ post.user }}</u></p>
            <p class="font-weight-light">Le {{ post.createdAt|date("d/m/y à h:m") }}</p>
            <p class="mt-3 font-weight-bold">{{ post.texte }}</p>
        </div>
        <a href="{{ path('post_chat_form', { id: post.id}) }}" class="btn btn-chat btn-block mt-1">CHAT</a>
    </div>
    <div class="row"><hr class="col-3 hr-post mx-auto "></div>
    {% endfor %}
</div>

{% endblock %}